using System.Data;
using System.Data.OleDb;

namespace Grid3xNET1
{
	public class DataSourceHelperCS
	{
		public static string connectionString = "Provider=Microsoft.Jet.OLEDB.4.0; Data Source=" + System.Web.HttpContext.Current.Server.MapPath("~/Grid/Data/Access/Nwind.mdb");
		public static DataTable GetDataTable(string query)
		{
			OleDbConnection MyOleDbConnection = new OleDbConnection(connectionString);
			OleDbDataAdapter MyOleDbDataAdapter = new OleDbDataAdapter();
			MyOleDbDataAdapter.SelectCommand = new OleDbCommand(query, MyOleDbConnection);
 
			DataTable myDataTable = new DataTable();

			MyOleDbConnection.Open();
			try
			{
				MyOleDbDataAdapter.Fill(myDataTable);
			}
			finally
			{
				MyOleDbConnection.Close();
			}

			return myDataTable;
		}

		public static DataTable GetDataTable(string query, string dbFile)
		{
			OleDbConnection MyOleDbConnection = new OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0; Data Source=" + System.Web.HttpContext.Current.Server.MapPath(dbFile));
			OleDbDataAdapter MyOleDbDataAdapter = new OleDbDataAdapter();
			MyOleDbDataAdapter.SelectCommand = new OleDbCommand(query, MyOleDbConnection);
 
			DataTable myDataTable = new DataTable();

			MyOleDbConnection.Open();
			try
			{
				MyOleDbDataAdapter.Fill(myDataTable);
			}
			finally
			{
				MyOleDbConnection.Close();
			}

			return myDataTable;
		}	
	}
}
